export default (configuration) => {
    return `package ${configuration.packageName}.model.remote


    data class ChatRequest(
        val room_id: String?,
        )
    
    data class ChatTextRequest(
        val room_id: String?,
        val user_id: Int?,
        val message: String?,
    )
    
    data class ChatTextResponse(
        val error: String?,
        val message: String
    )

    data class ChatBotRequest(
        val prompt: List<ChatBotTextRequest>?,
    )
    
    data class ChatBotTextRequest(
        val role: String?,
        val content: String?
    )
    
    
    data class ChatBotTextResponse(
        val error: Boolean?,
    //    val message: String,
        val message: List<ChatBotMessageListResponse>?
    )
    
    data class ChatBotMessageListResponse(
        val index: Int?,
        val message: ChatBotMessageObjectResponse?
    )
    
    data class ChatBotMessageObjectResponse(
        val role: String?,
        val content: String
    )

      `;
  };